View Issue Details

IDProjectCategoryView StatusLast Update
0001935FreeCADFeaturepublic2017-02-06 04:55
Reporterbalazs Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version 
Target VersionFixed in Version0.17 
Summary0001935: Showing something more relevant than "unhandled unknown exception caught..."
DescriptionHi All,

I have got "Unhandled unknown exception caught in GUIApplication::notify." on OS console, which message is released in Gui/Application.cpp here:

https://github.com/FreeCAD/FreeCAD_sf_master/blob/master/src/Gui/Application.cpp#L1555

However, if the compiler is set to C++11, it is possible to write something like

http://en.cppreference.com/w/cpp/error/exception_ptr

I have tried it myself but no luck, although I have -std=c++11 in g++ 4.7.2-5

Moreover, with a custom signal handler even backtrace would be possible with glibc:

http://stackoverflow.com/questions/77005/how-to-generate-a-stacktrace-when-my-gcc-c-app-crashes

I don't know the exact signal policy in FreeCAD. Simply registering a SIGSEGV handler (I know the unknown exception hides a segmentation violation) does not bring anything.

best regards: Bal√°zs
Steps To Reproduce-
Additional Information-
Tagsexception
FreeCAD Information

Activities

shoogen

2015-01-26 19:10

developer   ~0005739

Last edited: 2015-01-26 19:15

View 2 revisions

if the exception is not derived from std::exception (or another known type) we have no way to extract detailed information. (as we decided not require c++11 yet)

> I know the unknown exception hides a segmentation violation
Then you should file a bug for it as well

shoogen

2015-01-26 19:35

developer   ~0005740

BTW: I think that /EHa is crap.

balazs

2015-01-26 20:44

reporter   ~0005741

When no C++11 is used yet, this is obsolete. The exception rises from my code under development, so no need for a bug report.

wmayer

2017-02-05 18:02

administrator   ~0008219

The exception_ptr is useless here as there is no way to get more relevant information.

Related Changesets

FreeCAD: master 6b0a0ff9

2017-02-05 18:00:45

wmayer

Details Diff
issue 0001935 Affected Issues
0001935
mod - src/App/Application.cpp Diff File
mod - src/Mod/Part/App/AppPart.cpp Diff File

Issue History

Date Modified Username Field Change
2015-01-26 18:42 balazs New Issue
2015-01-26 19:10 shoogen Note Added: 0005739
2015-01-26 19:15 shoogen Note Edited: 0005739 View Revisions
2015-01-26 19:35 shoogen Note Added: 0005740
2015-01-26 20:44 balazs Note Added: 0005741
2017-01-22 21:41 wmayer Assigned To => wmayer
2017-01-22 21:41 wmayer Status new => assigned
2017-02-05 18:01 wmayer Changeset attached => FreeCAD Master master 6b0a0ff9
2017-02-05 18:02 wmayer Note Added: 0008219
2017-02-05 18:02 wmayer Status assigned => closed
2017-02-05 18:02 wmayer Resolution open => fixed
2017-02-05 18:02 wmayer Fixed in Version => 0.17
2017-02-06 04:55 Kunda1 Tag Attached: exception